#include<iostream>


int main() {
	int a, b, x, y;
	std::cin >> a >> b;
	std::cin >> x >> y;

	if (x == a && y == b) {
		std::cout << "nijedan" << std::endl;
		return 0;
	}
	else if (x == a) { // y < b
		std::cout << "drugi" << std::endl;
		return 0;
	}
	else if (y == b) {
		std::cout << "prvi" << std::endl;
		return 0;
	}
	else { // x != a && y != b, tako da treba i x i y da se uvecaju, ali ne
		// mozemo biti sigurni koji broj treba prvo uvecati.
		std::cout << "?" << std::endl;
	}
	return 0;
}